Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063045 - Review Request: gnome-pkg-tools - Tools for the Debian GNOME Packaging Team
Summary: Review Request: gnome-pkg-tools - Tools for the Debian GNOME Packaging Team
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 18:04 UTC by Sandro Mani
Modified: 2014-02-22 01:01 UTC (History)
2 users (show)

Fixed In Version: gnome-pkg-tools-0.19.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-22 01:01:07 UTC
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-02-09 18:04:07 UTC
Spec URL: http://smani.fedorapeople.org/review/gnome-pkg-tools.spec
SRPM URL: http://smani.fedorapeople.org/review/gnome-pkg-tools-0.19.3-1.fc21.src.rpm
Description: Tools for the Debian GNOME Packaging Team
Fedora Account System Username: smani

Comment 1 Sandro Mani 2014-02-10 02:39:27 UTC
Spec URL: http://smani.fedorapeople.org/review/gnome-pkg-tools.spec
SRPM URL: http://smani.fedorapeople.org/review/gnome-pkg-tools-0.19.3-2.fc21.src.rpm

%changelog
* Mon Feb 10 2014 Sandro Mani <manisandro@gmail.com> - 0.19.3-2
- Added gnome-policy.html to %%doc

Comment 2 Zbigniew Jędrzejewski-Szmek 2014-02-10 02:55:34 UTC
Issues:
=======

- Package should own %{perl_vendorlib}/*
(according to Guidelines/Perl). Otherwise /usr/share/perl5/vendor_perl/Debian and subdirectories will be unowned.

- %description is empty



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
(I didn't build any packages using dh_gnome on Fedora, but at least --help works :) )

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: gnome-pkg-tools-0.19.3-1.fc20.noarch.rpm
          gnome-pkg-tools-0.19.3-1.fc20.src.rpm
gnome-pkg-tools.noarch: E: no-description-tag
gnome-pkg-tools.noarch: E: script-without-shebang /usr/share/perl5/vendor_perl/Debian/Debhelper/Sequence/gnome.pm
gnome-pkg-tools.src: E: no-description-tag
2 packages and 0 specfiles checked; 3 errors, 0 warnings.


Requires
--------
gnome-pkg-tools (rpmlib, GLIBC filtered):
    /usr/bin/perl
    debhelper
    perl(:MODULE_COMPAT_5.18.2)
    perl(Debian::Debhelper::Dh_Lib)
    perl(strict)
    perl(warnings)



Provides
--------
gnome-pkg-tools:
    gnome-pkg-tools

Comment 3 Sandro Mani 2014-02-10 02:58:49 UTC
*blush* first time I managed to forget %description ...
As far as /usr/share/perl5/vendor_perl/Debian is concerned, that is owned by debhelper. So I don't think owning it again is necessary.

Comment 4 Zbigniew Jędrzejewski-Szmek 2014-02-10 03:01:09 UTC
(In reply to Sandro Mani from comment #3)
> As far as /usr/share/perl5/vendor_perl/Debian is concerned, that is owned by
> debhelper. So I don't think owning it again is necessary.
Oh, I missed that.

Comment 5 Sandro Mani 2014-02-10 03:02:47 UTC
Spec URL: http://smani.fedorapeople.org/review/gnome-pkg-tools.spec
SRPM URL: http://smani.fedorapeople.org/review/gnome-pkg-tools-0.19.3-3.fc21.src.rpm

%changelog
* Mon Feb 10 2014 Sandro Mani <manisandro@gmail.com> - 0.19.3-3
- Add description

Comment 6 Zbigniew Jędrzejewski-Szmek 2014-02-10 03:16:55 UTC
Package is APPROVED.

Since this is for Fedora, please consider adding a sentence like
"This package is useful when building Debian on Fedora."

Also, it might be more grammatically correct to s/some useful tools for/some tools useful for/.

Comment 7 Sandro Mani 2014-02-10 11:29:54 UTC
Thanks! I'll tweak the description when importing. Let me know if I can review anything for you.

New Package SCM Request
=======================
Package Name: gnome-pkg-tools
Short Description: Tools for the Debian GNOME Packaging Team
Owners: smani
Branches: f20
InitialCC:

Comment 8 Gwyn Ciesla 2014-02-10 13:27:22 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-02-10 17:41:28 UTC
gnome-pkg-tools-0.19.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-pkg-tools-0.19.3-3.fc20

Comment 10 Fedora Update System 2014-02-11 23:04:44 UTC
gnome-pkg-tools-0.19.3-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-02-22 01:01:07 UTC
gnome-pkg-tools-0.19.3-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.